Retrieve a schedule

GET
/v1/scheduling/hosts/{host}/schedules/{schedule_id}

One of the host's schedules.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

host*string

The host's id or uid.

schedule_id*string

The schedule's id.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The schedule.

application/json
  1. response
object*"scheduling.schedule"
Value in"scheduling.schedule"
id*string
host*string
name*string
time_zone*string
is_default*boolean
rules*array<>
overrides*array<>
created_at*string
updated_at*string
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.scheduling.schedules.get({  value: "host_01kd2m9a0b1c2d3e4f5g6h7j8m",}, {  value: "sched_01kd2m9a0b1c2d3e4f5g6h7j8m",});
{  "object": "scheduling.schedule",  "id": "sched_01kd2m9a0b1c2d3e4f5g6h7j8m",  "host": "host_01kd2m9a0b1c2d3e4f5g6h7j8m",  "name": "Clinic hours",  "time_zone": "America/New_York",  "is_default": true,  "rules": [    {      "days": [        1,        2,        3,        4,        5      ],      "start": "09:00",      "end": "17:00"    }  ],  "overrides": [    {      "date": "2027-12-24",      "ranges": []    }  ],  "created_at": "2027-01-01T10:00:00.000Z",  "updated_at": "2027-01-01T10:00:00.000Z"}